# Class BindingLifetimeTest

java.lang.Object
de.javawi.jstun.test.BindingLifetimeTest

public class BindingLifetimeTest extends Object

## Constructor Summary

Constructors
Constructor
Description
`BindingLifetimeTest(String stunServer, int port)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getLifetime()`
`boolean`
`isCompleted()`
`void`
`setUpperBinarySearchLifetime(int upperBinarySearchLifetime)`
`void`
`test()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BindingLifetimeTest

public BindingLifetimeTest(String stunServer, int port)

## Method Details

### test

public void test() throws UtilityException, SocketException, UnknownHostException, IOException, MessageAttributeParsingException, MessageAttributeException, MessageHeaderParsingException

Throws:
  `UtilityException`
  `SocketException`
  `UnknownHostException`
  `IOException`
  `MessageAttributeParsingException`
  `MessageAttributeException`
  `MessageHeaderParsingException`

### getLifetime

public int getLifetime()

### isCompleted

public boolean isCompleted()

### setUpperBinarySearchLifetime

public void setUpperBinarySearchLifetime(int upperBinarySearchLifetime)